Subject: Re: [PATCH v2] ibm_newemac: Add support for GPCS, SGMII andM88E1112 PHY

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 02 Oct 2008 22:37:48 +1000

On Thu, 2008-10-02 at 07:55 -0400, Josh Boyer wrote:
> >Yep.  You could pull now if you'd like.  I have a few more patches I'd
> >like to get in before the merge window, but if it helps things I can do
> >those in a separate pull request.
> 
> Actually, it seems not.  I pulled in an older version of the patch.  I'll
> grab the new version today.

Victor, while at it, can you do a fixup patch on top of it that guards
the new feature with a Kconfig option like some of the other ones so
that the code for it doesn't get compiled in when building, for example.
for 405GP only ?

The trick is to have the option not be part of the possible mask, so
that the compiler optimises out the feature tests as if (0) (gcc
nowadays is supposedly smart enough to rip off the code when it finds
such constructs).

Thanks !

Cheers,
Ben.